API referenceApplicationsDeploy servers
Add a scheduled cron task to a service (frequency is a cron expression)
Requires the deploy_servers:manage permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
svc*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/deploy-servers/string/services/string/scheduled-tasks" \ -H "Content-Type: application/json" \ -d '{ "command": "string", "frequency": "string", "name": "string" }'{ "command": "string", "container": "string", "enabled": true, "frequency": "string", "name": "string", "uuid": "string"}